org.wso2.carbon.device.mgt.mobile.windows.api.services.xcep.beans

## Class Revision

- java.lang.Object
- - org.wso2.carbon.device.mgt.mobile.windows.api.services.xcep.beans.Revision

-     public class Revision
      extends Object

  Java class for Revision complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="Revision">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="majorRevision" type="{http://www.w3.org/2001/XMLSchema}unsignedInt"/>
               <element name="minorRevision" type="{http://www.w3.org/2001/XMLSchema}unsignedInt"/>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected long` | `majorRevision`
    `protected long` | `minorRevision`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Revision()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `long` | `getMajorRevision()` Gets the value of the majorRevision property.
    `long` | `getMinorRevision()` Gets the value of the minorRevision property.
    `void` | `setMajorRevision(long value)` Sets the value of the majorRevision property.
    `void` | `setMinorRevision(long value)` Sets the value of the minorRevision property.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### majorRevision

          protected long majorRevision

    - #### minorRevision

          protected long minorRevision

  - ### Constructor Detail

    - #### Revision

          public Revision()

  - ### Method Detail

    - #### getMajorRevision

          public long getMajorRevision()

      Gets the value of the majorRevision property.

    - #### setMajorRevision

          public void setMajorRevision(long value)

      Sets the value of the majorRevision property.

    - #### getMinorRevision

          public long getMinorRevision()

      Gets the value of the minorRevision property.

    - #### setMinorRevision

          public void setMinorRevision(long value)

      Sets the value of the minorRevision property.

Copyright © 2017 WSO2. All rights reserved.